# Uses of Interface
org.stianloader.picoresolve.repo.RepositoryNegotiatior

Packages that use RepositoryNegotiatior
Package
Description
org.stianloader.picoresolve
org.stianloader.picoresolve.repo
Package storing repository, downloading and installation related classes.

## Uses of RepositoryNegotiatior in org.stianloader.picoresolve

Constructors in org.stianloader.picoresolve with parameters of type RepositoryNegotiatior
Modifier
Constructor
Description
``
`MavenResolver(@NotNull RepositoryNegotiatior negotiator)`

## Uses of RepositoryNegotiatior in org.stianloader.picoresolve.repo

Classes in org.stianloader.picoresolve.repo that implement RepositoryNegotiatior
Modifier and Type
Class
Description
`class`
`MavenLocalRepositoryNegotiator`
An implementation of the `RepositoryNegotiatior` interface capable to reading and writing maven locals while having full compatibility with the latest versions of the standard maven resolver (as of time of writing, so late 2022).
Methods in org.stianloader.picoresolve.repo that return RepositoryNegotiatior
Modifier and Type
Method
Description
`@NotNull RepositoryNegotiatior`
RepositoryNegotiatior.`addRepository(@NotNull MavenRepository repo)`
`@NotNull RepositoryNegotiatior`
RepositoryNegotiatior.`setWriteCacheMetadata(boolean writeMetadata)`
Set whether the `RepositoryNegotiatior` is permitted to write metadata files for caching or repository tracking purposes.